%define ver_major 0.66

Name: gnome-phone-manager
Version: %ver_major
Release: alt1

Summary: GNOME Cellular Phone Manager
Group: Communications
Url: http://live.gnome.org/PhoneManager
License: GPLv2+

Source: ftp://ftp.gnome.org/pub/gnome/sources/gnome-phone-manager/%version/%name-%version.tar.bz2

Requires(post,preun): GConf

BuildRequires: evolution-data-server-devel intltool libbluez-devel libgtk+2-devel
BuildRequires: libcanberra-gtk2-devel libGConf-devel libgnokii-devel
BuildRequires: libgnome-bluetooth-devel libgtkspell-devel libtelepathy-glib-devel
BuildRequires: libdbus-glib-devel gnome-icon-theme

%description
Phone Manager allows you to control aspects of your mobile phone from the
GNOME desktop.

Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility
    * Evolution Addressbook integration when sending messages

Phone Manager supports any mobile phone that can connect to your computer as a
serial port: via Bluetooth, IrDA, or a serial cable.

%prep
%setup -q

%build
export CPPFLAGS="$CPPFLAGS `pkg-config --cflags glib-2.0` `pkg-config --cflags dbus-glib-1`"
%configure --disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*.desktop
%_datadir/%name
%_mandir/man1/*
%_libexecdir/telepathy-phoney
%_libdir/gnome-bluetooth/plugins/libphonemgr.so
%_datadir/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%_datadir/telepathy/managers/phoney.manager
%config %_sysconfdir/gconf/schemas/%name.schemas
%doc README AUTHORS ChangeLog

%exclude %_libdir/gnome-bluetooth/plugins/libphonemgr.la

%changelog
* Mon Feb 21 2011 Yuri N. Sedunov <aris@altlinux.org> 0.66-alt1
- 0.66

* Mon Oct 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.65-alt5
- rebuild against libgnome-bluetooth.so.8

* Thu Oct 07 2010 Yuri N. Sedunov <aris@altlinux.org> 0.65-alt4
- rebuild against libedataserver-1.2.so.14 (e-d-s-2.32.0)

* Wed Aug 04 2010 Yuri N. Sedunov <aris@altlinux.org> 0.65-alt3
- rebuild against libgnokii.so.6

* Mon Jun 21 2010 Yuri N. Sedunov <aris@altlinux.org> 0.65-alt2
- rebuild against libedataserver-1.2.so.13 (e-d-s-2.30.2)

* Sat Mar 20 2010 Yuri N. Sedunov <aris@altlinux.org> 0.65-alt1
- first build for Sisyphus

